#sql("searchByNick")
	select nick,id,avatar from user 
	where status = 1 and searchflag = 1
		and (userno = #para(search))
	order by id desc
#end

#sql("searchById")
    select nick,id,avatar from user where status = 1 and searchflag = 1
	and userno = #para(nick) order by id desc
#end

#sql("updateBase")
	update user_base 
	set
		#if(sex != null && sex != "")
			sex = #para(sex),
		#end
		sign = #para(sign)
	where 
		uid = #para(uid)
#end

#sql("searchByUid")
	select nick,id,avatar,userno from user where status = 1 and searchflag = 1 and (id = #para(uid) or userno = #para(uid) )
#end

#sql("searchByLoginname")
	select nick,id,avatar from user where status = 1 and searchflag = 1 and loginname = #para(loginname)
#end